Reply to topic

compositing trouble after update

kdg1955
Registered Member
Posts
12
Karma
0

compositing trouble after update

Tue Feb 19, 2013 12:48 pm
A few days ago, I performed an update from Fedora 16 to Fedora 17.
After that everything runs smoothly (including login in graphical environment KDM), until I get a black screen at startup of "KDE Plasma Workspace". In GNOME and 'KDE Plasma Workspace failsafe', I haven't a black screen.
The version of KDE is 4.9 (also kwin).

After much searching, I encountered the compositing press ctrl+shift+F12, and my screen was filled again with a beautiful painting and my familiar icons. This was a great help, because now I can continue working in my familiar environment. But the problem isn't solved. First I thought it is due to a malfunctioning video driver (NVIDIA => nouveau), but if it worked before the upgrade then something went wrong during the update.
I stay in a black screen even after I change the compisiting type to 'XRender", and also here ctrl+shift+F12 is the solution.

This is what I have already undertaken to solve the problem after google searching, but without success.
    move $HOME/.kde to $HOME/.kde.old and logon again.
    create new fresh dummy user and login with that user.
    reinstall all KDE related software : $> yum reinstall kde*
    mv $HOME/.kde.share/config/plasma-desktop-appletsrc $HOME/.kde.share/config/plasma-desktop-appletsrc-broken
    add a new file in /etc/sysconfig/desktop with one line : DISPLAYMANAGER=KDE
    and mush more => but all without success !
Here is additional information, in the hope that it helps to achieve a solution:
    This is the output of 'glxinfo | grep OpenGL' :
    Code: Select all
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 55
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 56
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 59
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 58
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    OpenGL vendor string: nouveau
    OpenGL renderer string: Gallium 0.4 on NV35
    OpenGL version string: 1.5 Mesa 8.0.4
    OpenGL extensions:   

    The content of the log file '.xsession-errors':
    Code: Select all
    (imsettings-check:11763): GLib-WARNING **: (gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)

    (imsettings-check:11790): GLib-WARNING **: (gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)
    startkde: Starting up...
    Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
    kbuildsycoca4 running...
    QDBusObjectPath: invalid path ""
    QObject::connect: Cannot connect (null)::deviceFound(Device*) to BlueDevilDaemon::deviceFound(Device*)
    QObject::connect: Cannot connect QTimer::timeout() to (null)::stopDiscovery()
    kded(11867) PowerDevil::PolicyAgent::setupSystemdInhibition: failed to inhibit systemd powersave handling
    QDBusConnection: name 'org.kde.kglobalaccel' had owner '' but we thought it was ':1.21'
    >>> 0x9adbf38 created Job Job
    >>> 0x9adc510 created JobFactory
    >>> 0x9adc3d0 created JobFactory
    >>> 0x9adc418 created Job Job
    >>> 0x9adc848 created Job Job
    >>> 0x9adc3d0 deleted JobFactory
    >>> 0x9adc510 deleted JobFactory
    >>> 0x9adbf38 deleted Job Job
    >>> 0x9adc418 deleted Job Job
    >>> 0x9adc848 deleted Job Job
    kwin(11887): ""fsrestore1" - conversion of "0,0,0,0" to QRect failed"
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 55
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 56
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 59
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 58
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 55
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 56
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 59
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 58
    nvfx_screen_get_param:95 -  Warning: unknown PIPE_CAP 30
    OpenGL vendor string:                   nouveau
    OpenGL renderer string:                 Gallium 0.4 on NV35
    OpenGL version string:                  1.5 Mesa 8.0.4
    OpenGL shading language version string: 1.20
    Driver:                                 Nouveau
    GPU class:                              NV30
    OpenGL version:                         1.5
    GLSL version:                           1.20
    Mesa version:                           8.0.4
    Linux kernel version:                   3.7.6
    Direct rendering:                       yes
    Requires strict binding:                yes
    GLSL shaders:                           limited
    Texture NPOT support:                   no
    kwin(11887) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported
    QDBusObjectPath: invalid path ""
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
    plasma-desktop(11897)/kdecore (services) KServicePrivate::init: The desktop entry file  "/usr/share/kde4/services/sysinfo.protocol"  has Type= "Application"  but no Exec line

    static bool QDeclarativeMetaType::isModule(const QByteArray&, int, int) Qt 4.7 import detected; please note that Qt 4.7 is directly reusable as QtQuick 1.x with no code changes. Continuing, but startup time will be slower.
    link XMLID_34_ hasn't been detected!
    link XMLID_34_ hasn't been detected!
    link XMLID_36_ hasn't been detected!
    QGraphicsScene::addItem: item has already been added to this scene
    Object::connect: No such signal QDeclarativeItem_QML_0::maximumWidthChanged()
    Object::connect: No such signal QDeclarativeItem_QML_0::maximumHeightChanged()
    Object::connect: No such signal QDeclarativeItem_QML_0::preferredWidthChanged()
    Object::connect: No such signal QDeclarativeItem_QML_0::preferredHeightChanged()
    file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:175:5: QML QDeclarativeListView_QML_21: Possible anchor loop detected on vertical anchor.
    QGraphicsScene::addItem: item has already been added to this scene
    Object::connect: No such signal QDeclarativeItem_QML_18::maximumWidthChanged()
    Object::connect: No such signal QDeclarativeItem_QML_18::maximumHeightChanged()
    Object::connect: No such signal QDeclarativeItem_QML_18::preferredWidthChanged()
    Object::connect: No such signal QDeclarativeItem_QML_18::preferredHeightChanged()
    link XMLID_34_ hasn't been detected!
    link XMLID_34_ hasn't been detected!
    link XMLID_36_ hasn't been detected!
    QGridLayoutEngine::addItem: Cell (0, 1) already taken
    nepomukservicestub: No service name specified
    nepomukservicestub: Use --help to get a list of available command line options.
    krunner(11917) KDevelopSessions::KDevelopSessions: INIT KDEV
    krunner(11917) KDevelopSessions::loadSessions: LOADSESSION!.>>>
    QGridLayoutEngine::addItem: Cell (0, 1) already taken
    QGridLayoutEngine::addItem: Cell (1, 1) already taken
    krunner(11917) KDevelopSessions::loadSessions: NEW SESSION: "/home/kdg/.kde/share/apps/kdevelop/sessions/{ad68a71a-c058-42d7-b4a1-0f30fb5cfd9b}/sessionrc"
    krunner(11917) KDevelopSessions::loadSessions: session: "default" "default"
    I/O warning : failed to load external entity "/home/kdg/.qalculate/eurofxref-daily.xml"
    I/O warning : failed to load external entity "/home/kdg/.qalculate/eurofxref-daily.xml"
    krunner(11917)/libplasma Plasma::Package::isValid: Could not find required file mainscript
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    nepomukservicestub: No service name specified
    nepomukservicestub: Use --help to get a list of available command line options.
    nepomukservicestub: No service name specified
    nepomukservicestub: Use --help to get a list of available command line options.
    nepomukservicestub: No service name specified
    nepomukservicestub: Use --help to get a list of available command line options.
    nepomukservicestub: No service name specified
    nepomukservicestub: Use --help to get a list of available command line options.
    SELinux Troubleshooter: Applet requires SELinux be enabled to run.
    Object::connect: No such signal QDBusAbstractInterface::StateChanged(uint)
    Starting Dropbox...** Message: No plugins to load

    ** (krb5-auth-dialog:11980): WARNING **: Could not initialize NMClient /org/freedesktop/NetworkManager: Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.NetworkManager.service' for details.

    (krb5-auth-dialog:11980): GLib-GIO-CRITICAL **: GApplication subclass 'KaApplet' failed to chain up on ::startup (from start of override function)
    Done!
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    Running Mixer_Backend destructor
    New PolkitAgentListener  0x8f56350
    Adding new listener  PolkitQt1::Agent::Listener(0x8fdc0a8) for  0x8f56350
    plasma-desktop(11897)/plasma StatusNotifierItemSource::refreshCallback: DBusMenu disabled for this application
    plasma-desktop(11897)/plasma StatusNotifierItemSource::refreshCallback: DBusMenu disabled for this application
    kmix(11926) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kded(11867)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kmix(11926) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kded(11867)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kded(11867)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kmix(11926) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kded(11867)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kmix(11926) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kmix(11926) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
    kded(11867)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider

All help is welcome.

Regards,
mgraesslin
KDE Developer
Posts
356
Karma
4
OS
my recommendation would be to switch to the proprietary NVIDIA driver.
kdg1955
Registered Member
Posts
12
Karma
0

Re: compositing trouble after update

Thu Feb 21, 2013 12:24 pm
mgraesslin wrote:my recommendation would be to switch to the proprietary NVIDIA driver.

Thanks, the installation of the native driver is something for the W.E. and I will indicate here the result.

regards
kdg1955
Registered Member
Posts
12
Karma
0
The installation of my native NVIDIA driver is finally successful. I'm not going into details, because not relevant to this forum. What is important to mention is that ACPID daemon must be running to avoid the same performance problems as with the NOUVEAU driver.

But unfortunately, the problem associated with the black screen persists. Only after a compositing press 'ctrl+shift+F12', my screen reappears.

Here is a new .xsession-error, with the new native NVIDIA driver installed:
Code: Select all
(imsettings-check:2029): GLib-WARNING **: (gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)

(imsettings-check:2056): GLib-WARNING **: (gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)
startkde: Starting up...
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kbuildsycoca4 running...
QObject::connect: Cannot connect (null)::deviceFound(Device*) to BlueDevilDaemon::deviceFound(Device*)
QObject::connect: Cannot connect QTimer::timeout() to (null)::stopDiscovery()
kded(2132) PowerDevil::PolicyAgent::setupSystemdInhibition: failed to inhibit systemd powersave handling
QDBusConnection: name 'org.kde.kglobalaccel' had owner '' but we thought it was ':1.21'
>>> 0x8e3a338 created Job Job
>>> 0x8e3ab58 created JobFactory
>>> 0x8e39f00 created JobFactory
>>> 0x8d0d628 created Job Job
>>> 0x8d19ef8 created Job Job
>>> 0x8e39f00 deleted JobFactory
>>> 0x8e3ab58 deleted JobFactory
>>> 0x8e3a338 deleted Job Job
>>> 0x8d0d628 deleted Job Job
>>> 0x8d19ef8 deleted Job Job
kwin(2158): ""fsrestore1" - conversion of "0,0,0,0" to QRect failed"
OpenGL vendor string:                   NVIDIA Corporation
OpenGL renderer string:                 Quadro FX 1300/PCI/SSE2
OpenGL version string:                  2.1.2 NVIDIA 173.14.36
OpenGL shading language version string: 1.20 NVIDIA via Cg compiler
Driver:                                 NVIDIA
Driver version:                         173.14.36
GPU class:                              Unknown
OpenGL version:                         2.1.2
GLSL version:                           1.20
Linux kernel version:                   3.7.9
Direct rendering:                       yes
Requires strict binding:                no
GLSL shaders:                           yes
Texture NPOT support:                   no
kwin(2158) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported
QDBusObjectPath: invalid path ""
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
plasma-desktop(2167)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability
static bool QDeclarativeMetaType::isModule(const QByteArray&, int, int) Qt 4.7 import detected; please note that Qt 4.7 is directly reusable as QtQuick 1.x with no code changes. Continuing, but startup time will be slower.
plasma-desktop(2167)/kdecore (services) KServicePrivate::init: The desktop entry file  "/usr/share/kde4/services/sysinfo.protocol"  has Type= "Application"  but no Exec line

link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:175:5: QML QDeclarativeListView_QML_20: Possible anchor loop detected on vertical anchor.
QGraphicsScene::addItem: item has already been added to this scene
Object::connect: No such signal QDeclarativeItem_QML_17::maximumWidthChanged()
Object::connect: No such signal QDeclarativeItem_QML_17::maximumHeightChanged()
Object::connect: No such signal QDeclarativeItem_QML_17::preferredWidthChanged()
Object::connect: No such signal QDeclarativeItem_QML_17::preferredHeightChanged()
QGraphicsScene::addItem: item has already been added to this scene
Object::connect: No such signal QDeclarativeItem_QML_23::maximumWidthChanged()
Object::connect: No such signal QDeclarativeItem_QML_23::maximumHeightChanged()
Object::connect: No such signal QDeclarativeItem_QML_23::preferredWidthChanged()
Object::connect: No such signal QDeclarativeItem_QML_23::preferredHeightChanged()
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:175:5: QML QDeclarativeListView_QML_44: Possible anchor loop detected on vertical anchor.
QGraphicsScene::addItem: item has already been added to this scene
Object::connect: No such signal QDeclarativeItem_QML_41::maximumWidthChanged()
Object::connect: No such signal QDeclarativeItem_QML_41::maximumHeightChanged()
Object::connect: No such signal QDeclarativeItem_QML_41::preferredWidthChanged()
Object::connect: No such signal QDeclarativeItem_QML_41::preferredHeightChanged()
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
QGridLayoutEngine::addItem: Cell (0, 1) already taken
nepomukservicestub: No service name specified
nepomukservicestub: Use --help to get a list of available command line options.
krunner(2264) KDevelopSessions::KDevelopSessions: INIT KDEV
krunner(2264) KDevelopSessions::loadSessions: LOADSESSION!.>>>
krunner(2264) KDevelopSessions::loadSessions: NEW SESSION: "/home/kdg/.kde/share/apps/kdevelop/sessions/{ad68a71a-c058-42d7-b4a1-0f30fb5cfd9b}/sessionrc"
krunner(2264) KDevelopSessions::loadSessions: session: "default" "default"
I/O warning : failed to load external entity "/home/kdg/.qalculate/eurofxref-daily.xml"
I/O warning : failed to load external entity "/home/kdg/.qalculate/eurofxref-daily.xml"
nepomukservicestub: No service name specified
nepomukservicestub: Use --help to get a list of available command line options.
krunner(2264)/libplasma Plasma::Package::isValid: Could not find required file mainscript
nepomukservicestub: No service name specified
nepomukservicestub: Use --help to get a list of available command line options.
QGridLayoutEngine::addItem: Cell (0, 1) already taken
QGridLayoutEngine::addItem: Cell (1, 1) already taken
nepomukservicestub: No service name specified
nepomukservicestub: Use --help to get a list of available command line options.
nepomukservicestub: No service name specified
nepomukservicestub: Use --help to get a list of available command line options.
QDBusObjectPath: invalid path ""
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Object::connect: No such signal QDBusAbstractInterface::StateChanged(uint)
SELinux Troubleshooter: Applet requires SELinux be enabled to run.
Starting Dropbox...** Message: No plugins to load

** (krb5-auth-dialog:2304): WARNING **: Could not initialize NMClient /org/freedesktop/NetworkManager: Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.NetworkManager.service' for details.

(krb5-auth-dialog:2304): GLib-GIO-CRITICAL **: GApplication subclass 'KaApplet' failed to chain up on ::startup (from start of override function)
Dropbox isn't running!
Done!
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
Running Mixer_Backend destructor
New PolkitAgentListener  0x82a0950
Adding new listener  PolkitQt1::Agent::Listener(0x82fc7e8) for  0x82a0950
plasma-desktop(2167)/plasma StatusNotifierItemSource::refreshCallback: DBusMenu disabled for this application
plasma-desktop(2167)/plasma StatusNotifierItemSource::refreshCallback: DBusMenu disabled for this application
kmix(2269) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
kded(2132)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
kded(2132)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
kmix(2269) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
kded(2132)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
kded(2132)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
kmix(2269) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
kded(2132)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider
kmix(2269) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider


Thanks in advance for your help.
luebking
Registered Member
Posts
915
Karma
7
run "kcmshell4 kwincompositing" and in the second tab disable the login effect, in the 3rd tab uncheck "Use OpenGL 2 shaders"
See what happens and esp. whether you get a black screen even when logging in using the xrender compositor.
kdg1955
Registered Member
Posts
12
Karma
0

Re: compositing trouble after update

Sun Mar 03, 2013 12:42 pm
luebking wrote:run "kcmshell4 kwincompositing" and in the second tab disable the login effect, in the 3rd tab uncheck "Use OpenGL 2 shaders"
See what happens and esp. whether you get a black screen even when logging in using the xrender compositor.
@luebking thanks,
I had already experimented using 'System Settings', but for some reason the changes are not permanent, keep getting the message 'kdeinit could not launch /usr/libexec/kde4/kdesu'.

At the start of the 'kde plasma desktop" I get no black screen anymore. At first sight it seems that I can easily work with XRender (panel is transparent), but XRender has jammed a few times. I can only solve this by pressing twice the composite key "cntrl+shift+F12". Is XRender also supported with old graphics card in combination with acpi?

If you (or others) deem it appropriate, I will further communicate about this issue. But only during the W.E. I have time to investigate.
Meanwhile I turn XRender off each time it jams.

Thanks again.
luebking
Registered Member
Posts
915
Karma
7
kdesu is relevant to impact system settings (when you need root permissions) - not for the regular session or application configuration.
You'll have to ask fedora on this (eg. on whether they've completely substituted by some policykit rules etc.)

So, I read using XRender does work (in a way) - did you also try deactivating GL2 Shaders and/or the login effect?

Reg. "jamming" - i've never seen such and use the XRender compositor -occasionally- on an FX5200 (NV34 while you're on an NV38)
-> Do you have "suspend comspositing for fullscreen windows" enabled and could that be related (ie. the "jam" would usually occur when leaving -or maybe even entering- a fullscreen state in some application?)
When using the XRender compositor, you usually want to use the "native" graphicssystem as well to avoid some superfluous conversions in the compositor.
kdg1955
Registered Member
Posts
12
Karma
0
luebking wrote:So, I read using XRender does work (in a way) - did you also try deactivating GL2 Shaders and/or the login effect?
I did some 'try and error' after my last post. And indeed with XRender instead of GL2 there are no more blocks, at least until now. What I find strange is that it takes a moment before a window can minimize or restore (approximately 2 seconds). But it's my first day with XRender, I never used it in previous Fedora releases.
When changing 'compositing type' I get two messages :
- Blur effect requires OpenGL
- Startup Feedback effect requires OpenGL
But I still have 'blur' effects, and I don't know what effect I miss at startup. I suppose I can ignore these messages.

luebking wrote:Reg. "jamming" - i've never seen such and use the XRender compositor -occasionally- on an FX5200 (NV34 while you're on an NV38)
-> Do you have "suspend comspositing for fullscreen windows" enabled and could that be related (ie. the "jam" would usually occur when leaving -or maybe even entering- a fullscreen state in some application?)
I can not remember having worked in fullscreen mode. But I enabled it now (it was disabled).

luebking wrote:When using the XRender compositor, you usually want to use the "native" graphicssystem as well to avoid some superfluous conversions in the compositor.
This parameter has always equaled 'native'.

With the exception of the minimize and restore problems, it seems that I finally can work without crossed fingers. Your help was most welcome.

Thanks again.
kdg1955
Registered Member
Posts
12
Karma
0

Re: compositing trouble after update

Mon Mar 04, 2013 10:38 am
kdg1955 wrote:With the exception of the minimize and restore problems, ...


Minimize window is no longer a problem, and to solve it: run "kcmshell4 kwincompositing" and in the second tab disable the 'Minimize animation'. I don't know what I miss with the minimize animation, but I don't need it for now.

Greetings.
luebking
Registered Member
Posts
915
Karma
7

Re: compositing trouble after update

Mon Mar 04, 2013 11:36 pm
When changing 'compositing type' I get two messages :
- Blur effect requires OpenGL
- Startup Feedback effect requires OpenGL


Those effects require OpenGL
Blur because it needs shaders to operate on single pixels (though a POC for XRender "distorsion" exists - but in bad shape since i've not touched it for quite a while. Rather don't use it)
Startup Feedback because it's only most relevant for OpenGL (it's the boucing cursor) while the regular implementation that works w/o compositing as well is pretty much of for XRender compositing.

I can not remember having worked in fullscreen mode. But I enabled it now (it was disabled).

DON'T - it's likely gonna cause you far more trouble than good.

Minimize window is no longer a problem, and to solve it: run "kcmshell4 kwincompositing" and in the second tab disable the 'Minimize animation'.

Sounds as if scaling is slow on your xrender implementation - it animates the transition from and to the taskbar when un/minimizing a window.
The zoom or magnifier effects will probably share similar problems.

However my personal experiences with the nvidia blob do not match this - it is very fast on scaling and alpha blending on XRender - check the Xorg log on whether acceleration is disabled. (/var/log/Xorg.0.log)

 
Reply to topic

Bookmarks



Who is online

Registered users: alake, Baidu [Spider], Bing [Bot], boudewijn, eddiej, Essence of Orange, Exabot [Bot], garthecho, Google [Bot], google01103, GreatEmerald, Hans, jstaniek, ken300, koriun, mutlu, odysseus-art, parzt, rasyalarasati, sir_herrbatka, Sogatori, tadassu, TheraHedwig, Tuukka, Yahoo [Bot]